#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
string a,b,c;
string komb[10];
struct slog{long long vrednost;int mesto;};
slog slg[10];
int duzina,s,ps,j;
bool cmp(slog a,slog b){
return a.vrednost>b.vrednost;
}
int main(){
    ps=1;
    cin>>a>>b>>c;
    komb[1]=a+b+c;
    komb[2]=a+c+b;
    komb[3]=b+a+c;
    komb[4]=b+c+a;
    komb[5]=c+a+b;
    komb[6]=c+b+a;


    for(int i=1;i<=6;i++){
        slg[i].mesto=i;
        s=1;
        for(int j=komb[i].size()-1;j>=0;j--){
            slg[i].vrednost+=(komb[i][j]-'0')*s;
            s=s*10;
        }
    }

    sort(slg+1,slg+1+6,cmp);

    cout<<slg[1].vrednost;

return 0;
}